copilot
Get copilot id
Requires scopes: eval:read
GET
/
api
/
copilot
/
threads
/
{id}
Get copilot id
curl --request GET \
--url https://evalgate.com/api/copilot/threads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/copilot/threads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/copilot/threads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thread": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"surface": "playground",
"resourceRefs": [
{
"type": "prompt",
"id": "<string>",
"version": "<string>"
}
],
"contextDisclosure": {
"resourceCount": 123,
"redactedResourceCount": 123,
"truncatedResourceCount": 123,
"redactionFindings": [
"<string>"
],
"warnings": [
"<string>"
]
},
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"messages": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "<string>",
"role": "<string>",
"content": "<string>",
"contentHash": "<string>",
"redactionState": "<string>",
"redactionFindings": [
"<string>"
],
"modelCallId": "<string>",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"proposals": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "<string>",
"sourceProposalId": "<string>",
"domain": "<string>",
"resourceRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"expectedResourceHash": "<string>",
"status": "<string>",
"summary": "<string>",
"before": true,
"after": true,
"evidence": [
{
"type": "<string>",
"resourceRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"label": "<string>",
"detail": "<string>"
}
],
"rationale": "<string>",
"warnings": [
{
"code": "<string>",
"message": "<string>",
"severity": "blocking"
}
],
"expectedCostUsd": "<string>",
"modelCallId": "<string>",
"authorizationSnapshot": {
"actorId": "<string>",
"role": "owner",
"scopes": [
"<string>"
],
"requiredScope": "eval:write",
"requiredRole": "member",
"checkedAt": "<string>"
},
"requestHash": "<string>",
"redactionState": "<string>",
"redactionFindings": [
"<string>"
],
"applicationResult": {
"domain": "prompt",
"resourceRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"createdDraftRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"rollbackRef": {
"type": "prompt",
"id": "<string>",
"version": "<string>"
},
"detail": {}
},
"errorCode": "<string>",
"errorMessage": "<string>",
"createdBy": "<string>",
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Get copilot id
